﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yokogawa DL17x0E (1 yr) ExClock In IEEE /9500,33250
DATE:                  2017-04-13 13:47:57
AUTHOR:                Fluke
REVISION:              $Revision: 19267 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       167
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Agilent 33250A
=============================================================================
#
#  Procedure Author:  VY, DAC, DFM
#
#  Model(s) Covered:  DL1720E(701715), DL1740E(701730), DL1740EL(701740)
#
#  Compatibility:     MET/CAL 7.11 or later
#
#  Subprocedures:     Sub Yokogawa DL17x0 Cal Init IEEE
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Only write test name into the result file when the channel 1 is tested
  1.001  IF           M[1] == 1
  1.002  RSLT         =
  1.003  RSLT         =EXT CLOCK INPUT TEST
  1.004  ENDIF

  1.005  CALL         Sub Yokogawa DL17x0 Cal Init IEEE

  1.006  RSLT         =
  1.007  RSLT         =CHANNEL [M1], [M2]
  1.008  RSLT         =
  1.009  HEAD         EXT CLOCK INPUT TEST (CH [M1], CH [M2])
  1.010  TARGET       -p
  1.011  IEEE2        CHAN[M1]:COUP DC;PROB 1;VDIV 50mV
  1.011  IEEE2        CHAN[M2]:MODE ON;COUP DC;PROB 1;VDIV 50mV
  1.012  IEEE2        DISP:FORM DUAL
  1.013  IEEE2        STOP;:ACQ:MODE NORM;RLEN 10000;CLOC EXT
  1.014  IEEE2        STAR;:TRIG:TYPE OR
  1.015  IEEE2        TRIG:OR:CHAN[M1] RISE;CHAN[M2] RISE
  1.016  IEEE2        TRIG:SOUR:CHAN[M1]:LEV 0mV
  1.017  IEEE2        TRIG:SOUR:CHAN[M2]:LEV 0mV

  1.018  IF           M[1] == 1
# Read the firmware version of 9500.
  1.019  IEEE2        [@9500]*IDN?[I$]
  1.020  MATH         L[1] = FLD(MEM2, 4, ","); PUT("9500_Firmware_Rev", L[1])

  1.021  IF           L[1] >= 3.14
# Query 9500 current reference frequency output setting.
  1.022  IEEE2        [@9500]REF:OUTP:FREQ?[I]
  1.023  MATH         PUT("Ref_Freq", MEM)

# Enable 9500 10 MHz Ref Frequency Output if it was not enabled before.
  1.024  IF           GET("Ref_Freq") != 10E+6
  1.025  IEEE2        [@9500]REF:OUTP:FREQ 10E+6
  1.026  ENDIF

# If 9500 firmware version is prior to 3.14, manual is operation need.
  1.027  ELSE
  1.028  DISP         This test requires that the 9500 EXT REF OUT be set
  1.028  DISP         set to 10 MHz to reference supply the signal to the
  1.028  DISP         33250A 10 MHz In.
  1.028  DISP
  1.028  DISP         Press Advance for step by step instuctions to set
  1.028  DISP         EXT REF OUT to 10 MHz.

  1.029  DISP         Press ENABLE LOCAL USAGE soft key.
  1.029  DISP         Press MODE key, then press CONFIG soft key.
  1.029  DISP         Press MORE soft key.
  1.029  DISP         Enter password "12321", then press carriage return key.
  1.029  DISP         Press EXT REF OUT soft key.

  1.030  DO
  1.031  MEMI         Enter setting: (1) DISABLED, (2) 1 MHz, (3) 10 MHz
  1.032  UNTIL        (MEM == 1) || (MEM == 2) || (MEM == 3)

  1.033  IF           MEM == 1
  1.034  MATH         PUT("EXT_REF_OUT", "DISABLE")
  1.035  ELSEIF       MEM == 2
  1.036  MATH         PUT("EXT_REF_OUT", "1 MHz")
  1.037  ELSE
  1.038  MATH         PUT("EXT_REF_OUT", "10 MHz")
  1.039  ENDIF

  1.040  IF           MEM != 3
  1.041  DISP         Press 10 MHz soft key.
  1.042  ENDIF

  1.043  DISP         Press EXIT soft key.
  1.043  DISP         Press MODE key, then press MANUAL soft key.
# When entering the manual configuration mode, the remote status of 9500 has
# been interrupted.  Reset the 9500 to ensure it goes back to remote status.
  1.044  9500         *                                                 S
  1.045  ENDIF

  1.046  ENDIF

  1.047  9500         4kH                          300mVpp        LS    S
  1.048  33250        20MH                         300mVpp        SI    S
  1.049  WAIT         -t 3 System settling...
  1.050  MEM2         =Do the two waveforms look the same?
  1.051  EVAL   -s  " EXT CLOCK INPUT TEST" : [MEM2]

  2.001  9500         *                                                 S
  2.002  33250        *                                                 S

# Check the condition whether the ext clock input test has been done for all
# channels of UUT.
  2.003  MATH         MEM2 = GETV("Model_Num")
  2.004  MATH         L[1] = ZCMPI(MEM2, "DL1720E")
  2.005  MATH         L[1] = L[1] && ZCMPI(M[1], 1)

  2.006  MATH         L[2] = ZCMPI(MEM2, "DL1740E") || ZCMPI(MEM2, "DL1740EL")
  2.007  MATH         L[2] = L[2] && ZCMPI(M[1], 3)

  2.008  IF           L[1] || L[2]

  2.009  IF           GET("9500_Firmware_Rev") >= 3.14
  2.010  MATH         MEM = GET("Ref_Freq")
  2.011  IEEE2        [@9500]REF:OUTP:FREQ [MEM]

  2.012  ELSE
  2.013  MATH         MEM2 = GET("EXT_REF_OUT")

  2.014  IF           ZCMP(MEM2, "10 MHz") == 0
# Restore the 9500 previous reference frequency output setting.
  2.015  DISP         Press ENABLE LOCAL USAGE soft key.
  2.015  DISP         Press MODE key, then press CONFIG soft key.
  2.015  DISP         Press MORE soft key.
  2.015  DISP         Enter password "12321", then press carriage return key.
  2.015  DISP         Press EXT REF OUT soft key.
  2.015  DISP         Press [MEM2] soft key.

  2.016  DISP         Press EXIT soft key.
  2.016  DISP         Press MODE key, then press MANUAL soft key.
# When entering the manual configuration mode, the remote status of 9500 has
# been interrupted.  Reset the 9500 to ensure it goes back to remote status.
  2.017  9500         *                                                 S
  2.018  ENDIF

  2.019  ENDIF

  2.020  ENDIF

  2.021  END
